# Class node_with_text

- Defined in File node.hpp

## Inheritance Relationships

### Base Type

- `public zeem::node` (Class node)

### Derived Types

- `public zeem::cdata` (Class cdata)

- `public zeem::comment` (Class comment)

- `public zeem::processing_instruction` (Class processing_instruction)

- `public zeem::text` (Class text)

## Class Documentation

class node_with_text : public zeem::node

  An abstract base class for nodes that contain text.

  Subclassed by zeem::cdata, zeem::comment, zeem::processing_instruction, zeem::text

  Protected Functions

  inline virtual std::string str() const override

    return the text content

  inline virtual std::string get_text() const

    return the text content, same as str()

  inline virtual void set_text(std::string text)

    set the text content

  inline virtual bool equals(const node *n) const override

    Compare two nodes with text for equality.